View Issue Details

IDCategoryLast Update
0008442bugs2020-10-17 16:20
ReporterzeogradAssigned To 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformDebian GNUOSLinuxOS Version(any)
Product Version6.3 
Fixed in Version 
Summary0008442: reproducible SIGSEGV in x86_sse_avx_apply_gain_to_buffer > _mm256_load_ps on given project
DescriptionI have one project (created several years ago) which crashes around the same area (not always at the exact timecode, though) when playing or rendering.
Steps To ReproduceOpen project file : https://drive.google.com/file/d/10lC1siJEHxyEqFTR-YEw2-cVwstXvNeE/view?usp=sharing (~ 3Mb, too large to attach here)
Place playhead at 12:08:00
Play

After a few seconds, usually between 12:10:00 and 12:12:00, SIGSEGV occurs
Additional InformationOne of the backtrace I got

#0 0x00007ffff78e7a93 in _mm256_load_ps(float const*) (__P=0x7fff998ee000) at /usr/lib/gcc/x86_64-linux-gnu/10/include/avxintrin.h:874
0000001 x86_sse_avx_apply_gain_to_buffer(float*, uint32_t, float) (dst=0x7fff998edfe0, nframes=4290770957, gain=1.37248135) at ../libs/ardour/sse_functions_avx_linux.cc:303
#2 0x00007ffff70d8a2b in ARDOUR::AudioRegion::read_at(float*, float*, float*, long, long, unsigned int) const (this=0x5555620a8290, buf=0x7fff99113f0c, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, position=32492480, cnt=1, chan_n=0)
    at ../libs/ardour/audioregion.cc:606
#3 0x00007ffff7094944 in ARDOUR::AudioPlaylist::read(float*, float*, float*, long, long, unsigned int) (this=0x55556203ba40, buf=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, start=32452609, cnt=65536, chan_n=0) at ../libs/ardour/audio_playlist.cc:263
0000004 0x00007ffff7164c7e in ARDOUR::DiskReader::audio_read(float*, float*, float*, long&, long, ARDOUR::DiskReader::ReaderChannelInfo*, int, bool)
    (this=0x555566cb8bb0, sum_buffer=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, start=@0x7fff9a276b68: 32452609, cnt=65536, rci=0x55555d26c5e0, channel=0, reversed=false) at ../libs/ardour/disk_reader.cc:1048
0000005 0x00007ffff7165e56 in ARDOUR::DiskReader::refill_audio(float*, float*, float*, long, bool) (this=0x555566cb8bb0, sum_buffer=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, fill_level=0, reversed=false) at ../libs/ardour/disk_reader.cc:1306
#6 0x00007ffff716524d in ARDOUR::DiskReader::refill(float*, float*, float*, long, bool) (this=0x555566cb8bb0, sum_buffer=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, fill_level=0, reversed=false) at ../libs/ardour/disk_reader.cc:1129
#7 0x00007ffff71650b7 in ARDOUR::DiskReader::do_refill() (this=0x555566cb8bb0) at ../libs/ardour/disk_reader.cc:1103
0000008 0x00007ffff784c9f0 in ARDOUR::Track::do_refill() (this=0x555566ca1df0) at ../libs/ardour/track.cc:499
0000009 0x00007ffff712e4ba in ARDOUR::Butler::thread_work() (this=0x5555589d7300) at ../libs/ardour/butler.cc:253
0000010 0x00007ffff712d689 in ARDOUR::Butler::_thread_work(void*) (arg=0x5555589d7300) at ../libs/ardour/butler.cc:153
0000011 0x00007ffff58e16a1 in fake_thread_start(void*) (arg=0x55555b9d7b00) at ../libs/pbd/pthread_utils.cc:113
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95


with the complete one for all threads as instructed in the doc :

Thread 90 (Thread 0x7fff3ffff700 (LWP 21667)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x5555605b9ec0) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777ecf18) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777ecf10) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777ecee0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 89 (Thread 0x7fff48ffb700 (LWP 21666)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555575f7e750) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777eccc8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777eccc0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777ecc90) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 88 (Thread 0x7fff497fc700 (LWP 21665)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555d094280) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777eca78) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777eca70) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777eca40) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 87 (Thread 0x7fff49ffd700 (LWP 21664)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555574740250) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777ec828) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777ec820) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777ec7f0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 86 (Thread 0x7fff4a7fe700 (LWP 21663)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x5555757fe180) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777ec588) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777ec580) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777ec550) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 85 (Thread 0x7fff4afff700 (LWP 21662)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
--Type <RET> for more, q to quit, c to continue without paging--c
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x5555777b7b90) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777ec338) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777ec330) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777ec300) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 84 (Thread 0x7fffa5e66700 (LWP 21661)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7f30b8b in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556e9a7ec8, block=true) at ../libs/waveview/wave_view_private.cc:299
#3 0x00007ffff7f30eb0 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
0000004 0x00007ffff7f31220 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x5555777c28f0) at ../libs/waveview/wave_view_private.cc:450
0000005 0x00007ffff7f35dcb in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x5555777ec2d8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6 0x00007ffff7f358d6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x5555777ec2d0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff7f352a5 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555777ec2a0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 82 (Thread 0x7fffcaffd700 (LWP 21655)):
#0 0x00007ffff3ef8d21 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=0x7fffcaffc880, rem=0x7fffcaffc890) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
0000001 0x00007ffff3efe503 in __GI___nanosleep (requested_time=<optimized out>, remaining=<optimized out>) at nanosleep.c:27
#2 0x00007ffff558586f in g_usleep () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007ffff71171e7 in ARDOUR::AutomationWatch::thread() (this=0x55556812bf90) at ../libs/ardour/automation_watch.cc:195
0000004 0x00007ffff711c4eb in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const (this=0x55557453ce10, p=0x55556812bf90) at /usr/include/boost/bind/mem_fn_template.hpp:49
0000005 0x00007ffff711c0ff in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) (this=0x55557453ce20, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#6 0x00007ffff711b9cd in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() (this=0x55557453ce10) at /usr/include/boost/bind/bind.hpp:1294
#7 0x00007ffff711b95e in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const (this=0x55557453ce10) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000008 0x00007ffff711b3b4 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x55557453cde0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000009 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000010 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000011 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000012 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 81 (Thread 0x7fffa6667700 (LWP 21654)):
#0 futex_wait_cancelable (private=0, expected=0, futex_word=0x55555cdb84b8) at ../sysdeps/nptl/futex-internal.h:183
0000001 __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555cdb8468, cond=0x55555cdb8490) at pthread_cond_wait.c:508
#2 __pthread_cond_wait (cond=0x55555cdb8490, mutex=0x55555cdb8468) at pthread_cond_wait.c:638
#3 0x00007ffff7711b2d in ARDOUR::Session::auto_connect_thread_run() (this=0x55555cdb6670) at ../libs/ardour/session.cc:7156
0000004 0x00007ffff77117fc in ARDOUR::Session::auto_connect_thread(void*) (arg=0x55555cdb6670) at ../libs/ardour/session.cc:7095
0000005 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 80 (Thread 0x7fffc989a700 (LWP 21653)):
#0 futex_wait_cancelable (private=0, expected=0, futex_word=0x55555cdb844c) at ../sysdeps/nptl/futex-internal.h:183
0000001 __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555cdb83f8, cond=0x55555cdb8420) at pthread_cond_wait.c:508
#2 __pthread_cond_wait (cond=0x55555cdb8420, mutex=0x55555cdb83f8) at pthread_cond_wait.c:638
#3 0x00007ffff7788d69 in ARDOUR::Session::emit_thread_run() (this=0x55555cdb6670) at ../libs/ardour/session_process.cc:1110
0000004 0x00007ffff7788d06 in ARDOUR::Session::emit_thread(void*) (arg=0x55555cdb6670) at ../libs/ardour/session_process.cc:1099
0000005 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 69 (Thread 0x7fff9a0ee700 (LWP 21632)):
#0 0x00007ffff3f264bf in __GI___poll (fds=0x7fff441324e0, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff555adce in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff555b12b in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007ffff58a8690 in BaseUI::main_thread() (this=0x55555a4c1910) at ../libs/pbd/base_ui.cc:98
0000004 0x00007ffff58ac663 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x5555602f54f8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
0000005 0x00007ffff58ac300 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x5555602f54f0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6 0x00007ffff58abd67 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555602f54c0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000008 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000010 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 68 (Thread 0x7fff9a278700 (LWP 21631)):
#0 0x00007ffff78e7a93 in _mm256_load_ps(float const*) (__P=0x7fff998ee000) at /usr/lib/gcc/x86_64-linux-gnu/10/include/avxintrin.h:874
0000001 x86_sse_avx_apply_gain_to_buffer(float*, uint32_t, float) (dst=0x7fff998edfe0, nframes=4290770957, gain=1.37248135) at ../libs/ardour/sse_functions_avx_linux.cc:303
#2 0x00007ffff70d8a2b in ARDOUR::AudioRegion::read_at(float*, float*, float*, long, long, unsigned int) const (this=0x5555620a8290, buf=0x7fff99113f0c, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, position=32492480, cnt=1, chan_n=0) at ../libs/ardour/audioregion.cc:606
#3 0x00007ffff7094944 in ARDOUR::AudioPlaylist::read(float*, float*, float*, long, long, unsigned int) (this=0x55556203ba40, buf=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, start=32452609, cnt=65536, chan_n=0) at ../libs/ardour/audio_playlist.cc:263
0000004 0x00007ffff7164c7e in ARDOUR::DiskReader::audio_read(float*, float*, float*, long&, long, ARDOUR::DiskReader::ReaderChannelInfo*, int, bool) (this=0x555566cb8bb0, sum_buffer=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, start=@0x7fff9a276b68: 32452609, cnt=65536, rci=0x55555d26c5e0, channel=0, reversed=false) at ../libs/ardour/disk_reader.cc:1048
0000005 0x00007ffff7165e56 in ARDOUR::DiskReader::refill_audio(float*, float*, float*, long, bool) (this=0x555566cb8bb0, sum_buffer=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, fill_level=0, reversed=false) at ../libs/ardour/disk_reader.cc:1306
#6 0x00007ffff716524d in ARDOUR::DiskReader::refill(float*, float*, float*, long, bool) (this=0x555566cb8bb0, sum_buffer=0x7fff990ed010, mixdown_buffer=0x7fff988ec010, gain_buffer=0x7fff980eb010, fill_level=0, reversed=false) at ../libs/ardour/disk_reader.cc:1129
#7 0x00007ffff71650b7 in ARDOUR::DiskReader::do_refill() (this=0x555566cb8bb0) at ../libs/ardour/disk_reader.cc:1103
0000008 0x00007ffff784c9f0 in ARDOUR::Track::do_refill() (this=0x555566ca1df0) at ../libs/ardour/track.cc:499
0000009 0x00007ffff712e4ba in ARDOUR::Butler::thread_work() (this=0x5555589d7300) at ../libs/ardour/butler.cc:253
0000010 0x00007ffff712d689 in ARDOUR::Butler::_thread_work(void*) (arg=0x5555589d7300) at ../libs/ardour/butler.cc:153
0000011 0x00007ffff58e16a1 in fake_thread_start(void*) (arg=0x55555b9d7b00) at ../libs/pbd/pthread_utils.cc:113
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 67 (Thread 0x7fffc81f1700 (LWP 21630)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe40) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe40) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245d94 in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff724626e in ARDOUR::Graph::helper_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:470
#6 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc81f09b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc81f09c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000008 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc81f09b8) at /usr/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000010 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc81f09b0) at /usr/include/boost/function/function_template.hpp:763
0000011 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558269190) at ../libs/backends/jack/jack_audiobackend.cc:953
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 66 (Thread 0x7fffc8272700 (LWP 21629)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe40) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe40) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245d94 in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff724626e in ARDOUR::Graph::helper_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:470
#6 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc82719b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc82719c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000008 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc82719b8) at /usr/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000010 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc82719b0) at /usr/include/boost/function/function_template.hpp:763
0000011 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555559f46d80) at ../libs/backends/jack/jack_audiobackend.cc:953
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 65 (Thread 0x7fffc82f3700 (LWP 21628)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe68) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe68, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe68, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe68) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245103 in ARDOUR::Graph::reached_terminal_node() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:301
0000005 0x00007ffff724cd87 in ARDOUR::GraphNode::finish(int) (this=0x5555625ed528, chain=0) at ../libs/ardour/graphnode.cc:73
#6 0x00007ffff7248690 in ARDOUR::GraphNode::run(int) (this=0x5555625ed528, chain=0) at ../libs/ardour/ardour/graphnode.h:63
#7 0x00007ffff7245f0e in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:442
0000008 0x00007ffff724626e in ARDOUR::Graph::helper_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:470
0000009 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc82f29b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
0000010 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc82f29c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000011 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc82f29b8) at /usr/include/boost/bind/bind.hpp:1294
0000012 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000013 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc82f29b0) at /usr/include/boost/function/function_template.hpp:763
0000014 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555559fa99d0) at ../libs/backends/jack/jack_audiobackend.cc:953
#15 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000016 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 64 (Thread 0x7fffc8374700 (LWP 21627)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe40) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe40) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245d94 in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff724626e in ARDOUR::Graph::helper_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:470
#6 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc83739b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc83739c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000008 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc83739b8) at /usr/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000010 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc83739b0) at /usr/include/boost/function/function_template.hpp:763
0000011 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555559f44230) at ../libs/backends/jack/jack_audiobackend.cc:953
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 63 (Thread 0x7fffc83f5700 (LWP 21626)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe40) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe40) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245d94 in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff724626e in ARDOUR::Graph::helper_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:470
#6 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc83f49b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc83f49c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000008 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc83f49b8) at /usr/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000010 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc83f49b0) at /usr/include/boost/function/function_template.hpp:763
0000011 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558430160) at ../libs/backends/jack/jack_audiobackend.cc:953
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 62 (Thread 0x7fffc8476700 (LWP 21625)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe40) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe40) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245d94 in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff724626e in ARDOUR::Graph::helper_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:470
#6 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc84759b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc84759c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000008 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc84759b8) at /usr/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000010 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc84759b0) at /usr/include/boost/function/function_template.hpp:763
0000011 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x5555583cf190) at ../libs/backends/jack/jack_audiobackend.cc:953
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 61 (Thread 0x7fffc84f7700 (LWP 21624)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555d20fe40) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x55555d20fe40, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x55555d20fe40) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff7245d94 in ARDOUR::Graph::run_one() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff7246687 in ARDOUR::Graph::main_thread() (this=0x55555d20fd90) at ../libs/ardour/graph.cc:523
#6 0x00007ffff724c64f in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffc84f69b8, p=0x55555d20fd90) at /usr/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff724bea7 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffc84f69c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000008 0x00007ffff724b34b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffc84f69b8) at /usr/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff724abb2 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
0000010 0x0000555555ba1844 in boost::function0<void>::operator()() const (this=0x7fffc84f69b0) at /usr/include/boost/function/function_template.hpp:763
0000011 0x00007fffde140eb8 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x55555b9d73b0) at ../libs/backends/jack/jack_audiobackend.cc:953
0000012 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 60 (Thread 0x7fffc901fc40 (LWP 21623)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 59 (Thread 0x7fffc902bc40 (LWP 21622)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 58 (Thread 0x7fffc9037c40 (LWP 21621)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 57 (Thread 0x7fffc9043c40 (LWP 21620)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 56 (Thread 0x7fffc904fc40 (LWP 21619)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 55 (Thread 0x7fffc905bc40 (LWP 21618)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 54 (Thread 0x7fffdcd72c40 (LWP 21617)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x7fffd2e3d0e0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007ffff464b278 in __new_sem_wait_slow (sem=0x7fffd2e3d0e0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff7248626 in PBD::Semaphore::wait() (this=0x7fffd2e3d0e0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff76d3f59 in ARDOUR::RTTaskList::run() (this=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:112
0000005 0x00007ffff76d3d46 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x7fffd2e3d0b0) at ../libs/ardour/rt_tasklist.cc:68
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 36 (Thread 0x7fffca7fc700 (LWP 21594)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007fffde04ebb2 in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffde031975 in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#3 0x00007fffde030438 in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
0000004 0x00007fffde140f66 in ARDOUR::JACKAudioBackend::process_thread() (this=0x5555573e3250) at ../libs/backends/jack/jack_audiobackend.cc:982
0000005 0x00007fffde140f06 in ARDOUR::JACKAudioBackend::_process_thread(void*) (arg=0x5555573e3250) at ../libs/backends/jack/jack_audiobackend.cc:961
#6 0x00007fffde0308eb in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#7 0x00007fffde04cd2c in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
0000008 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000009 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 35 (Thread 0x7fffdc32b700 (LWP 21593)):
#0 __libc_read (nbytes=4, buf=0x7fffdc32a850, fd=17) at ../sysdeps/unix/sysv/linux/read.c:26
0000001 __libc_read (fd=17, buf=0x7fffdc32a850, nbytes=4) at ../sysdeps/unix/sysv/linux/read.c:24
#2 0x00007fffde04df5e in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#3 0x00007fffde0516dd in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
0000004 0x00007fffde051522 in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
0000005 0x00007fffde04cd2c in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 34 (Thread 0x7fffdc3ac700 (LWP 21592)):
#0 futex_wait_cancelable (private=0, expected=0, futex_word=0x55555809c858) at ../sysdeps/nptl/futex-internal.h:183
0000001 __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555809c800, cond=0x55555809c830) at pthread_cond_wait.c:508
#2 __pthread_cond_wait (cond=0x55555809c830, mutex=0x55555809c800) at pthread_cond_wait.c:638
#3 0x00007fffde04d7ee in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
0000004 0x00007fffde041ca5 in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
0000005 0x00007fffde04cd2c in () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#6 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fffcbfff700 (LWP 21543)):
#0 0x00007ffff3f264bf in __GI___poll (fds=0x555557d6af10, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff555adce in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff555b12b in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007ffff337c746 in () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000004 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fffdcc32700 (LWP 21542)):
#0 0x00007ffff3f264bf in __GI___poll (fds=0x555557d5f6c0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff555adce in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff555aeef in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007ffff555af41 in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000004 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fffde983700 (LWP 21536)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff70bebc7 in ARDOUR::AudioEngine::do_devicelist_update() (this=0x55555730fb20) at ../libs/ardour/audioengine.cc:703
#3 0x00007ffff70cbaff in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x55555730b350, p=0x55555730fb20) at /usr/include/boost/bind/mem_fn_template.hpp:49
0000004 0x00007ffff70cb513 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x55555730b360, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000005 0x00007ffff70caced in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x55555730b350) at /usr/include/boost/bind/bind.hpp:1294
#6 0x00007ffff70ca4b0 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x55555730b350) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff70c99d6 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555730b320) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fffdf1c7700 (LWP 21535)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff70be988 in ARDOUR::AudioEngine::do_reset_backend() (this=0x55555730fb20) at ../libs/ardour/audioengine.cc:667
#3 0x00007ffff70cbaff in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x55555730b460, p=0x55555730fb20) at /usr/include/boost/bind/mem_fn_template.hpp:49
0000004 0x00007ffff70cb513 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x55555730b470, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
0000005 0x00007ffff70caced in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x55555730b460) at /usr/include/boost/bind/bind.hpp:1294
#6 0x00007ffff70ca4b0 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x55555730b460) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff70c99d6 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555730b430) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
0000008 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000009 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fffed165700 (LWP 21522)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7071fbc in ARDOUR::Analyser::work() () at ../libs/ardour/analyser.cc:93
#3 0x00007ffff7071db4 in analyser_work() () at ../libs/ardour/analyser.cc:58
0000004 0x000055555643a491 in sigc::pointer_functor0<void>::operator()() const (this=0x555557057f08) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000005 0x00005555564376fc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555557057f00) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6 0x0000555556433b33 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555557057ed0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
0000008 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000010 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fffed966700 (LWP 21521)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7817b94 in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3 0x000055555643a491 in sigc::pointer_functor0<void>::operator()() const (this=0x555557057f78) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x00005555564376fc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555557057f70) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000005 0x0000555556433b33 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555557057f40) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#6 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000008 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000009 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fffee167700 (LWP 21520)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff55abbaf in g_cond_wait () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff7817b94 in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3 0x000055555643a491 in sigc::pointer_functor0<void>::operator()() const (this=0x555557058008) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x00005555564376fc in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555557058000) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000005 0x0000555556433b33 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555557057fd0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#6 0x00007ffff56e8db2 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7 0x00007ffff5583ddd in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000008 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000009 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fffee968700 (LWP 21519)):
#0 0x00007ffff3ef8d21 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=0x7fffee9678a0, rem=0x7fffee9678b0) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
0000001 0x00007ffff3efe503 in __GI___nanosleep (requested_time=<optimized out>, remaining=<optimized out>) at nanosleep.c:27
#2 0x00007ffff558586f in g_usleep () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00005555567bc2ec in gui_event_loop(void*) (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:374
0000004 0x00007ffff4641ea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000005 0x00007ffff3f30eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fffef389c40 (LWP 21518)):
#0 0x00007ffff3f264bf in __GI___poll (fds=0x555557d37300, nfds=5, timeout=20) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff555adce in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff555b12b in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007ffff51e612a in gtk_main () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000004 0x00007ffff5a8fe14 in Gtkmm2ext::UI::run(Receiver&) (this=0x55555733b510, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:293
0000005 0x00005555561683d4 in main(int, char**) (argc=1, argv=0x7fffffffcca8) at ../gtk2_ardour/main.cc:395
TagsNo tags attached.

Activities

zeograd

2020-10-14 21:04

reporter   ~0025123

To complete the bug report and the stack trace where nframes seems to be a very large number, but could be corrupted, here is a working workaround:

audioregion.cc::606

        if (to_read == 1)
            *mixdown_buffer *= _scale_amplitude;
        else
            apply_gain_to_buffer(mixdown_buffer, to_read, _scale_amplitude);

which seems to imply that tiny buffers (1-length) crashes x86_sse_avx_apply_gain_to_buffer

x42

2020-10-17 16:20

administrator   ~0025125

Fixed in 6.3-215-g1a7dc947a2

Issue History

Date Modified Username Field Change
2020-10-13 19:37 zeograd New Issue
2020-10-14 21:04 zeograd Note Added: 0025123
2020-10-15 03:20 x42 Status new => confirmed
2020-10-17 16:20 x42 Status confirmed => resolved
2020-10-17 16:20 x42 Resolution open => fixed
2020-10-17 16:20 x42 Note Added: 0025125